# $Revision: 1.24 $, $Date: 2010/04/20 12:34:34 $
Summary:	Scripts for managing .spec files and building RPM packages
Summary(de.UTF-8):	Scripts fürs Bauen binärer RPM-Pakete
Summary(pl.UTF-8):	Skrypty pomocnicze do zarządznia plikami .spec i budowania RPM-ów
Summary(pt_BR.UTF-8):	Scripts e programas executáveis usados para construir pacotes
Summary(ru.UTF-8):	Скрипты и утилиты, необходимые для сборки пакетов
Summary(uk.UTF-8):	Скрипти та утиліти, необхідні для побудови пакетів
Name:		rpm-build-tools
Version:	4.4.39
Release:	1
License:	GPL
Group:		Applications/File
Group:		Base
Source0:	builder.sh
Source1:	adapter.awk
Source2:	adapter.sh
Source3:	pldnotify.awk
BuildRequires:	sed >= 4.0
Requires:	gawk
Requires:	less
Requires:	rpm-build
Requires:	rpm-build-macros >= 1.539
Requires:	util-linux
Requires:	wget
Suggests:	cvs-client
Suggests:	rpm-specdump >= 0.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir	%{_prefix}/lib

%description
Scripts for managing .spec files and building RPM packages.

%description -l de.UTF-8
Scripts fürs Bauen RPM-Pakete.

%description -l pl.UTF-8
Skrypty pomocnicze do zarządzania plikami .spec i do budowania RPM-ów.

%description -l pt_BR.UTF-8
Este pacote contém scripts e programas executáveis que são usados para
construir pacotes usando o RPM.

%description -l ru.UTF-8
Различные вспомогательные скрипты и исполняемые программы, которые
используются для сборки RPM'ов.

%description -l uk.UTF-8
Різноманітні допоміжні скрипти та утиліти, які використовуються для
побудови RPM'ів.

%prep
%setup -qcT
cp -p %{SOURCE0} %{SOURCE1} %{SOURCE2} %{SOURCE3} .

%{__sed} -i -e 's,^adapter=.*/adapter.awk,adapter=%{_libdir}/adapter.awk,' adapter.sh

%{__sed} -i -e '/^VERSION=/s,\([^/]\+\)/.*",\1-RELEASE",' builder.sh adapter.sh
%{__sed} -i -e '/\tRCSID =/,/^\trev =/d;/\tVERSION = /s,\([^/]\+\)/.*,\1-RELEASE",' adapter.awk

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}}
cp -a adapter.awk $RPM_BUILD_ROOT%{_libdir}/adapter.awk
install -p pldnotify.awk $RPM_BUILD_ROOT%{_bindir}
install -p builder.sh $RPM_BUILD_ROOT%{_bindir}/builder
install -p adapter.sh $RPM_BUILD_ROOT%{_bindir}/adapter

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/builder
%attr(755,root,root) %{_bindir}/adapter
%attr(755,root,root) %{_bindir}/pldnotify.awk
%{_libdir}/adapter.awk

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rpm-build-tools.spec,v $
Revision 1.24  2010/04/20 12:34:34  pawelz
- up to 4.4.39
- builder.sh up to 1.619

Revision 1.23  2010/04/20 10:21:14  pawelz
- fix evil sed, that was breaking adapter.sh and builder.sh (reported by glen)

Revision 1.22  2010/04/18 16:28:34  pawelz
- up to 4.4.38
- adapter.sh up to 1.45
- adapter.awk up to 1.446
- builder.sh up to 1.617
- pldnotify.awk up to 1.84

Revision 1.21  2010/04/03 13:35:37  pawelz
- up to 4.4.37
- adapter.sh up to 1.45
- adapter.awk up to 1.440
- builder.sh up to 1.614
- pldnotify.awk up to 1.83

Revision 1.20  2010/02/16 17:52:24  pawelz
- R: rpm-build-macros >= 1.539 (i.e. current version)

Revision 1.19  2010/02/16 17:36:38  pawelz
- adapter up to rev. 1.43
- adapter.awk up to rev. 1.438
- builder up to rev. 1.606
- pldnotify.awk up to rev. 1.78
- let it be version 4.4.36

Revision 1.18  2009/06/28 17:04:45  glen
- v0.35

Revision 1.17  2009/06/28 16:45:40  glen
- remove conflicting files instead

Revision 1.16  2009/06/27 23:29:19  qwiat
- copy files instead symlinks into build directory

Revision 1.15  2008/10/13 21:07:54  sls
- fixed scripts instalation

Revision 1.14  2008/10/03 16:15:14  glen
- adapter needs gawk

Revision 1.13  2008/09/24 15:24:27  glen
- when building rpm replace cvs rcs id with RELEASE

Revision 1.12  2008/09/24 14:57:31  glen
- updated tools (builder/1.564, adapter.awk/1.399, adapter/1.28)
- rel 17

Revision 1.11  2008/09/04 19:53:44  arvenil
- R: util-linux (for adapter)

Revision 1.10  2008/04/05 08:45:39  glen
- release 16

Revision 1.9  2008-04-05 08:43:52  glen
- updated adapter and builder from SPECS

Revision 1.8  2008-04-04 22:06:13  arekm
- rel 14; suggest cvs-client not cvs

Revision 1.7  2008-02-17 13:32:35  glen
- rpm-specdump would be rpm-build-tools dependency

Revision 1.6  2008-02-13 21:22:47  glen
- sane spec preamble

Revision 1.5  2008-02-13 21:15:17  glen
- adapter 0.29, builder 0.21

Revision 1.4  2007-12-31 13:20:38  arvenil
- R: less (for adapter)

Revision 1.3  2007-11-06 15:10:45  glen
- added adapter frontend script
- updated builder to 0.20
- rel 10

Revision 1.2  2007/09/26 09:50:51  patrys
- rel up

Revision 1.1  2007/08/30 10:59:02  glen
- separated from rpm.spec
- updated builder script to 0.19
